from .layout import Layout
from tuikit.core.coords import Point


class OffsetLayout(Layout):

    """Offsets widget position. Used by Viewport and ScrollView."""

    def __init__(self):
        Layout.__init__(self)
        self._offset = Point()

    @property
    def offset(self):
        """Offset of child widgets."""
        return self._offset

    def update(self, _w, _h):
        for widget in self._managed_widgets:
            widget.resize(*widget.sizereq)
            widget.pos.update(*(widget.posreq + self.offset))
