from tuikit.window import Window
from tuikit.scrollview import Scrolling
from tuikit.layout import OffsetLayout


class ScrollWindow(Window, Scrolling):
    def __init__(self):
        Window.__init__(self, inner_layout=OffsetLayout)
        Scrolling.__init__(self)

        self.vscroll.update_hint('margin', t=1, b=1)
        self.hscroll.update_hint('margin', l=1, r=2)

    def add(self, widget, **kwargs):
        Window.add(self, widget, **kwargs)
        self._connect_child(widget)

